/**
 * EntityClassState.java
 *
 * File generated from the medication::EntityClassState uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassState.
 *
 */

@XmlType(name = "EntityClassState")
@XmlEnum
@XmlRootElement(name = "EntityClassState")
public enum EntityClassState {
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    EntityClassState(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassState fromValue(String v) {
        for (EntityClassState c: EntityClassState.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}